Bug 14484 - Warns when changing patron password
Summary: Warns when changing patron password
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Patrons (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Aleisha Amohia
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-07-01 05:40 UTC by Aleisha Amohia
Modified: 2016-12-05 21:22 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 14484: Silences warns triggered when changing patron password (1.05 KB, text/plain)
2015-07-01 05:42 UTC, Aleisha Amohia
Details
Bug 14484: Jonathan Druart's fix (1.09 KB, patch)
2015-07-20 04:26 UTC, Aleisha Amohia
Details | Diff | Splinter Review
Bug 14484: warns when changing patron pw (1.10 KB, patch)
2015-08-12 02:54 UTC, Aleisha Amohia
Details | Diff | Splinter Review
Bug 14484: warns when changing patron pw (1.08 KB, patch)
2015-08-14 02:21 UTC, Aleisha Amohia
Details | Diff | Splinter Review
Bug 14484: warns when changing patron pw (1.22 KB, patch)
2015-08-14 12:09 UTC, j.kylmala
Details | Diff | Splinter Review
Bug 14484: warns when changing patron pw (1.29 KB, patch)
2015-08-18 14:41 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Aleisha Amohia 2015-07-01 05:40:41 UTC
To recreate, go to any patron's page and click Change Password

member-password.pl: Use of uninitialized value $roadtype in concatenation (.) or string at /home/vagrant/kohaclone/members/member-password.pl line 105
member-password.pl: Use of uninitialized value $roadtype in concatenation (.) or string at /home/vagrant/kohaclone/members/member-password.pl line 105
Comment 1 Aleisha Amohia 2015-07-01 05:42:44 UTC Comment hidden (obsolete)
Comment 2 Jonathan Druart 2015-07-02 14:36:47 UTC
I'd suggest
  my $roadtype = C4::Koha::GetAuthorisedValueByCode( 'ROADTYPE', $bor->{streettype} ) // '';
Comment 3 Aleisha Amohia 2015-07-20 04:26:54 UTC Comment hidden (obsolete)
Comment 4 Mirko Tietgen 2015-08-11 12:56:24 UTC
I get an error when I try to apply the patch:

> Applying: Bug 14484: Jonathan Druart's fix
> fatal: sha1 information is lacking or useless (members/member-password.pl).
> Repository lacks necessary blobs to fall back on 3-way merge.
> Cannot fall back to three-way merge.
> Patch failed at 0001 Bug 14484: Jonathan Druart's fix

It looks like the second patch modifies the first one, so

1) the first patch should not be obsoleted OR
2) the second one should be done against master without the first in between

the second being the better option.
Comment 5 Aleisha Amohia 2015-08-12 02:54:30 UTC Comment hidden (obsolete)
Comment 6 Mirko Tietgen 2015-08-12 11:50:10 UTC
Sorry, but the new attachment looks the same as the one before (and I get the same error)
Comment 7 Aleisha Amohia 2015-08-14 02:21:01 UTC Comment hidden (obsolete)
Comment 8 j.kylmala 2015-08-14 12:09:26 UTC Comment hidden (obsolete)
Comment 9 Jonathan Druart 2015-08-18 14:41:40 UTC
Created attachment 41603 [details] [review]
Bug 14484: warns when changing patron pw

To test:
1) Go to any patron's page, click Change password
2) Notice warns in error log
3) Apply patch, reload page
4) Click Change password
5) Notice warns are gone and page still works correctly

Signed-off-by: Joonas Kylmälä <j.kylmala@gmail.com>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 10 Tomás Cohen Arazi 2015-08-20 16:48:54 UTC
Patch pushed to master.

Thanks Aleisha!